/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.exttimecard;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;

/**
 * 拡張タイムカード明細のResultDataです。 <br />
 */
public class ExtTimecardWorkListResultData implements ALData {

  /** タイムカード明細ID */
  private ALNumberField detail_id;

  /** タイムカードID */
  private ALNumberField timecard_id;

  /** 受注情報ID */
  private ALNumberField job_order_id;

  /** 作業区分 */
  private ALStringField work_class;

  /** 時間内作業時間（分） */
  private ALNumberField worktime_in;

  /** 時間外作業時間（分） */
  private ALNumberField worktime_out;

  /** 作業場所 */
  private ALStringField work_place;

  /** 作業内容 */
  private ALStringField work_detail;

  /** 無効 */
  private ALStringField disabled;

  /** 作成者ID */
  private ALNumberField create_user_id;

  /** 更新者ID */
  private ALNumberField update_user_id;
  
  /** 作成日 */
  private ALStringField create_date;

  /** 更新日 */
  private ALStringField update_date;
  
  /** 受注件名 */
  private ALStringField job_order_name;

  /**
   * 
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    detail_id = new ALNumberField();
    timecard_id = new ALNumberField();
    job_order_id = new ALNumberField();
    work_class = new ALStringField();
    worktime_in = new ALNumberField();
    worktime_out = new ALNumberField();
    work_place = new ALStringField();
    work_detail = new ALStringField();
    disabled = new ALStringField();
    create_user_id = new ALNumberField();
    update_user_id = new ALNumberField();
    create_date = new ALStringField();
    update_date = new ALStringField();
    job_order_name = new ALStringField();
  }


  public ALNumberField getDetail_id() {
    return detail_id;
  }


  public void setDetail_id(Integer id) {
    this.detail_id.setValue(id);
  }


  public ALNumberField getTimecard_id() {
    return timecard_id;
  }


  public void setTimecard_id(Integer id) {
    this.timecard_id.setValue(id);
  }


  public ALNumberField getJob_order_id() {
    return job_order_id;
  }


  public void setJob_order_id(Integer id) {
    this.job_order_id.setValue(id);
  }


  public ALStringField getWork_class() {
    return work_class;
  }


  public void setWork_class(String string) {
    this.work_class.setValue(string);
  }


  public ALNumberField getWorktime_in() {
    return worktime_in;
  }


  public void setWorktime_in(String id) {
    this.worktime_in.setValue(id);
  }


  public ALNumberField getWorktime_out() {
    return worktime_out;
  }


  public void setWorktime_out(String id) {
    this.worktime_out.setValue(id);
  }


  public ALStringField getWork_place() {
    return work_place;
  }


  public void setWork_place(String string) {
    this.work_place.setValue(string);
  }


  public ALStringField getWork_detail() {
    return work_detail;
  }


  public void setWork_detail(String string) {
    this.work_detail.setValue(string);
  }


  public ALStringField getDisabled() {
    return disabled;
  }


  public void setDisabled(String string) {
    this.disabled.setValue(string);
  }


  public ALNumberField getCreate_user_id() {
    return create_user_id;
  }


  public void setCreate_user_id(Integer id) {
    this.create_user_id.setValue(id);
  }


  public ALNumberField getUpdate_user_id() {
    return update_user_id;
  }


  public void setUpdate_user_id(Integer id) {
    this.update_user_id.setValue(id);
  }


  public ALStringField getCreate_date() {
    return create_date;
  }


  public void setCreate_date(String string) {
    this.create_date.setValue(string);
  }


  public ALStringField getUpdate_date() {
    return update_date;
  }


  public void setUpdate_date(String string) {
    this.update_date.setValue(string);
  }

  public ALStringField getJob_order_name() {
    return job_order_name;
  }


  public void setJob_order_name(String string) {
    this.job_order_name.setValue(string);
  }

}
